org.springframework.batch.repeat.exception

## Enum LogOrRethrowExceptionHandler.Level

- java.lang.Object
- - java.lang.Enum<LogOrRethrowExceptionHandler.Level>
  - - org.springframework.batch.repeat.exception.LogOrRethrowExceptionHandler.Level

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<LogOrRethrowExceptionHandler.Level>
  Enclosing class:
    LogOrRethrowExceptionHandler

      public static enum LogOrRethrowExceptionHandler.Level
      extends java.lang.Enum<LogOrRethrowExceptionHandler.Level>

  Logging levels for the handler.
  Author:
    Dave Syer

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DEBUG` Key for `Classifier` signalling that the throwable should be logged at debug level.
    `ERROR` Key for `Classifier` signalling that the throwable should be logged at error level.
    `RETHROW` Key for `Classifier` signalling that the throwable should be rethrown.
    `WARN` Key for `Classifier` signalling that the throwable should be logged at warn level.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LogOrRethrowExceptionHandler.Level` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static LogOrRethrowExceptionHandler.Level[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### RETHROW

          public static final LogOrRethrowExceptionHandler.Level RETHROW

      Key for `Classifier` signalling that the throwable should be rethrown. If the throwable is not a RuntimeException it is wrapped in a `RepeatException`.

    - #### DEBUG

          public static final LogOrRethrowExceptionHandler.Level DEBUG

      Key for `Classifier` signalling that the throwable should be logged at debug level.

    - #### WARN

          public static final LogOrRethrowExceptionHandler.Level WARN

      Key for `Classifier` signalling that the throwable should be logged at warn level.

    - #### ERROR

          public static final LogOrRethrowExceptionHandler.Level ERROR

      Key for `Classifier` signalling that the throwable should be logged at error level.

  - ### Method Detail

    - #### values

          public static LogOrRethrowExceptionHandler.Level[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LogOrRethrowExceptionHandler.Level c : LogOrRethrowExceptionHandler.Level.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LogOrRethrowExceptionHandler.Level valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null